# Basscss

Low-level CSS toolkit <http://basscss.com>

Documentation: <http://basscss.com/docs>



## Lightning-Fast Modular CSS with No Side Effects

Basscss is a lightweight collection of
base element styles, immutable utilities, layout modules, and color styles designed for speed, clarity, performance, and scalability.



## Features

### Code with Confidence

Using clear, humanized naming conventions, Basscss is quick to internalize
and easy to reason about while speeding up development time with more scalable,
more readable code.

### No Side Effects

Things behave exactly as expected with immutable utilities
and styles that follow the open/closed principle
to help prevent common pitfalls with CSS.

### Composable

Reusable, interoperable styles
work like building blocks to lay the foundation for any stylesheet
and can be mixed and matched in any number of combinations.

## Designed for Design

Basscss strikes a balance between consistency and flexibility
to allow for rapid prototyping and quick iterative changes
when designing in the browser.

## Responsive by Default

Basscss provides lightweight, performant styles
and flexible utilities to design for any device
and to help reduce boilerplate in stylesheets.

## Unassuming

Modular and customizable base, typography, layout, and color styles
don't dictate what things should look like
and play well with other stylesheets and frameworks.

[Read More](http://basscss.com)

---

## Contributing

Please file an issue before submitting a pull request.
If you're making changes to a module, please follow the
[design principles](http://www.basscss.com/docs/reference/principles/).

## Folder Structure
- `src`: CSS4 source files
- `css`: Processed CSS files for browser compatibility
- `scripts`: Compilation and build scripts

---

[MIT license](http://opensource.org/licenses/MIT)

